Security announcements

MSA-15-0034: Vulnerability in password recovery mechanism

 
Picture of Marina Glancy
MSA-15-0034: Vulnerability in password recovery mechanism
 
Description: Password recovery token can be guessed because of php randomisation limitations
Issue summary: Vulnerability in password recovery mechanism
Severity/Risk: Serious
Versions affected: 2.9 to 2.9.1, 2.8 to 2.8.7, 2.7 to 2.7.9 and earlier unsupported versions
Versions fixed: 2.9.2, 2.8.8 and 2.7.10
Reported by: Vincent Herbulot (@us3r777)
Issue no.: MDL-50860
CVE identifier: CVE-2015-5267
Changes (master): http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-50860